﻿<!-- <script src="~/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="~/assets/plugins/jquery-validation/additional-methods.min.js"></script> -->
<script src="~/assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
<script src="~/assets/plugins/jquery-inputmask/jquery.input-ip-address-control-1.0.min.js" type="text/javascript"></script>
<script src="~/js/sweetalert.min.js"></script>
<script type="text/javascript">
    $("#NgaySinh").inputmask("d/m/y", {
        placeholder: "__/__/____"
    });
    $("#Mui1_NgayTiem").inputmask("d/m/y", {
        placeholder: "__/__/____"
    });
    $("#Mui2_NgayTiem").inputmask("d/m/y", {
        placeholder: "__/__/____"
    });
</script>

<script type="text/javascript">
    /*------------------Form Validation-----------------*/
    /*Example starter JavaScript for disabling form submissions if there are invalid fields*/
    window.addEventListener('load', function () {
        /* Thông tin tài khoản */
        var form_account = document.getElementsByClassName('form_account_validation');
        var validation = Array.prototype.filter.call(form_account, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin nhân viên */
        var form_employee = document.getElementsByClassName('form_employee_validation');
        var validation = Array.prototype.filter.call(form_employee, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin địa chỉ */
        var form_address = document.getElementsByClassName('form_address_validation');
        var validation = Array.prototype.filter.call(form_address, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 1 */
        var form_mui_1 = document.getElementsByClassName('form_mui_1_validation');
        var validation = Array.prototype.filter.call(form_mui_1, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 2*/
        var form_mui_2 = document.getElementsByClassName('form_mui_2_validation');
        var validation = Array.prototype.filter.call(form_mui_2, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

    }, false);
</script>
<script>
    $('.btnCapNhatThongTinTaiKhoan').click(function () {
        var Verify = $('#Verify').val();
        var TenDangNhap = $('#TenDangNhap').val();
        var MatKhauCu = $('#MatKhauCu').val();
        var MatKhauMoi = $('#MatKhauMoi').val();
        console.log(TenDangNhap);
        $.ajax({
            type: "POST",
            url: '@Url.Action("UpdatePasswordInfo", "Account")',
            data: { Verify: Verify, MatKhauCu: MatKhauCu, MatKhauMoi: MatKhauMoi},
            dataType: 'text',
            success: function (data) {
                console.log(data);
                if (data == "") {
                    swal({
                        title: "Thành công",
                        text: "Đã cập nhật thông tin thành công! Bạn có muốn thoát ra đăng nhập lại?",
                        type: 'success',
                        confirmButtonColor: "#DD6B55",
                        confirmButtonText: "Đồng ý",
                        showCancelButton: true,
                        cancelButtonText: "Không",
                    },
                       function (isConfirm) {
                            if (isConfirm) {
                                window.location.href = '@Url.Action("Logout","Account")';
                            }
                        }
                    );
                } else {
                    swal({
                        title: "Lỗi cập nhật",
                        text: data,
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });
    });

    function ChangeFile(evt) {
        console.log($('#file')[0].files[0]);
        var tgt = evt.target || window.event.srcElement,
            files = tgt.files;

        if (FileReader && files && files.length) {
            var fr = new FileReader();
            fr.onload = function () {
                document.getElementById('ImageHinhGiayXN').src = fr.result;
                console.log(fr.result);
            }
            fr.readAsDataURL(files[0]);
        }
        else {
            console.log("error");
        }
    }

    $(document).ready(function () {
        $("#v-pills-tabContent").delegate('.CapNhatThongTinNhanVien', 'click', function () {
            var Verify = $('#Verify').val();
            console.log(Verify);
            var Id = $('#Id').val();
            var HoTen = $('#HoTen').val();
            var NgaySinh = $('#NgaySinh').val();
            var GioiTinh = $('#GioiTinh').val();
            var MaNhom = $('#MaNhom').val();
            var DonVi = $('#DonVi').val();
            var DienThoai = $('#DienThoai').val();
            var CMND = $('#CMND').val();
            var BHYT = $('#BHYT').val();
            console.log(TenDangNhap);
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateInfoStaff", "Account")',
                data: { Verify: Verify,Id: Id, HoTen: HoTen, NgaySinh: NgaySinh, GioiTinh: GioiTinh, MaNhom: MaNhom, DonVi: DonVi, DienThoai: DienThoai, CMND: CMND, BHYT: BHYT},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "") {
                        swal({
                            title: "Thành công",
                            text: "Đã cập nhật thông tin thành công!",
                            type: 'success',
                            showCancelButtonClass: 'OK'
                        });
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: data,
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });
        $("#v-pills-tabContent").delegate('.btnCapNhatDiaChiNhanVien', 'click', function () {
            var Verify = $('#Verify').val();
            var TenTinh = $('#TenTinh').val();
            var MaTinh = $('#MaTinh').val();
            var TenQuan = $('#TenQuan').val();
            var MaQuan = $('#MaQuan').val();
            var TenPhuong = $('#TenPhuong').val();
            var MaPhuong = $('#MaPhuong').val();
            var DiaChi = $('#DiaChi').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateAddressStaff", "Account")',
                data: { Verify: Verify, TenTinh: TenTinh, MaTinh: MaTinh, TenQuan: TenQuan, MaQuan: MaQuan, TenPhuong: TenPhuong, MaPhuong: MaPhuong, DiaChi: DiaChi},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "") {
                        swal({
                            title: "Thành công",
                            text: "Đã cập nhật thông tin thành công!",
                            type: 'success',
                            showCancelButtonClass: 'OK'
                        });
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: data,
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });
        $("#v-pills-tabContent").delegate('.btnCapNhatThongTinMuiMot', 'click', function () {
            var Verify = $('#Verify').val();
            var Mui1_TenVacxin = $('#Mui1_TenVacxin').val();
            var Mui1_NgayTiem = $('#Mui1_NgayTiem').val();
            var Mui1_SoLo = $('#Mui1_SoLo').val();
            var Mui1_DiaDiem = $('#Mui1_DiaDiem').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateMui1Staff", "Account")',
                data: { Verify: Verify, Mui1_TenVacxin: Mui1_TenVacxin, Mui1_NgayTiem: Mui1_NgayTiem, Mui1_SoLo: Mui1_SoLo, Mui1_DiaDiem: Mui1_DiaDiem},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "") {
                        swal({
                            title: "Thành công",
                            text: "Đã cập nhật thông tin thành công!",
                            type: 'success',
                            showCancelButtonClass: 'OK'
                        });
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: data,
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });
        $("#v-pills-tabContent").delegate('.btnCapNhatThongTinMuiHai', 'click', function () {
            var Verify = $('#Verify').val();
            var Mui2_TenVacxin = $('#Mui2_TenVacxin').val();
            var Mui2_NgayTiem = $('#Mui2_NgayTiem').val();
            var Mui2_SoLo = $('#Mui2_SoLo').val();
            var Mui2_DiaDiem = $('#Mui2_DiaDiem').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateMui2Staff", "Account")',
                data: { Verify: Verify, Mui2_TenVacxin: Mui2_TenVacxin, Mui2_NgayTiem: Mui2_NgayTiem, Mui2_SoLo: Mui2_SoLo, Mui2_DiaDiem: Mui2_DiaDiem},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "") {
                        swal({
                            title: "Thành công",
                            text: "Đã cập nhật thông tin thành công!",
                            type: 'success',
                            showCancelButtonClass: 'OK'
                        });
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: data,
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });
        $("#v-pills-tabContent").delegate('.btnCapNhatThongTinKhac', 'click', function () {
            var Verify = $('#Verify').val();
            var GhiChu = $('#GhiChu').val();
            console.log($('#file')[0].files[0]);
            var formData = new FormData();
            formData.append('file', $('#file')[0].files[0]);
            formData.append('Verify', Verify);
            formData.append('GhiChu', GhiChu);

            console.log(formData);
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateThongTinKhacStaff", "Account")',
                data: formData,
                processData: false,  // tell jQuery not to process the data
                contentType: false,  // tell jQuery not to set contentType
                success: function (data) {
                    console.log(data);
                    if (data == "") {
                        swal({
                            title: "Thành công",
                            text: "Đã cập nhật thông tin thành công!",
                            type: 'success',
                            showCancelButtonClass: 'OK'
                        });
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: data,
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });
        
    });
</script>
